FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian User

 
 
LinkBack Thread Tools
 
Old 09-25-2011, 08:15 PM
Csanyi Pal
 
Default Upgraded from Squeeze to unstable

Hi,

I have upgraded my Desktop system Debian Squeeze
to Debian unstable.

Now when I try to upgrade or install some package
I get output and error messages:

Reading changelogs... Done
dpkg: warning: 'ldconfig' not found in PATH or not executable.
dpkg: warning: 'start-stop-daemon' not found in PATH or not executable.
dpkg: error: 2 expected programs not found in PATH or not executable.
Note: root's PATH should usually contain /usr/local/sbin, /usr/sbin and /sbin.
E: Sub-process /usr/bin/dpkg returned an error code (2)
Nem sikerült telepíteni egy csomagot. Helyreállítás megkisérlése:
dpkg: warning: 'ldconfig' not found in PATH or not executable.
dpkg: warning: 'start-stop-daemon' not found in PATH or not executable.
dpkg: error: 2 expected programs not found in PATH or not executable.
Note: root's PATH should usually contain /usr/local/sbin, /usr/sbin and /sbin.

How can I solve this problem?
Any advices will be appreciated!

--
Regards, Pal
<http://cspl.me>


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 87ty80xts2.fsf@debian-asztal.excito">http://lists.debian.org/87ty80xts2.fsf@debian-asztal.excito
 
Old 09-25-2011, 09:12 PM
Weaver
 
Default Upgraded from Squeeze to unstable

On Sun, 25 Sep 2011 22:15:57 +0200
Csanyi Pal <csanyipal@gmail.com> wrote:

> Hi,
>
> I have upgraded my Desktop system Debian Squeeze
> to Debian unstable.
>
> Now when I try to upgrade or install some package
> I get output and error messages:
>
> Reading changelogs... Done
> dpkg: warning: 'ldconfig' not found in PATH or not executable.
> dpkg: warning: 'start-stop-daemon' not found in PATH or not
> executable. dpkg: error: 2 expected programs not found in PATH or not
> executable. Note: root's PATH should usually
> contain /usr/local/sbin, /usr/sbin and /sbin. E:
> Sub-process /usr/bin/dpkg returned an error code (2) Nem sikerült
> telepíteni egy csomagot. Helyreállítás megkisérlése: dpkg: warning:
> 'ldconfig' not found in PATH or not executable. dpkg: warning:
> 'start-stop-daemon' not found in PATH or not executable. dpkg: error:
> 2 expected programs not found in PATH or not executable. Note: root's
> PATH should usually contain /usr/local/sbin, /usr/sbin and /sbin.
>
> How can I solve this problem?
> Any advices will be appreciated!
>

This looks very much like something wrong in the upgrading process.
For now, stop all attempts to update.
What update/upgrade tool are you using, apt-get, aptitude, so we can
help you best, as they have their specific commands in the upgrade
process?
Regards,

Weaver.

--
"In a world without walls and fences,
what need have we for Windows or Gates?"
-Anon.


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20110926071214.2b337049.weaver@riseup.net">http://lists.debian.org/20110926071214.2b337049.weaver@riseup.net
 
Old 09-25-2011, 09:21 PM
Weaver
 
Default Upgraded from Squeeze to unstable

On Sun, 25 Sep 2011 22:15:57 +0200
Csanyi Pal <csanyipal@gmail.com> wrote:

> Hi,
>
> I have upgraded my Desktop system Debian Squeeze
> to Debian unstable.
>
> Now when I try to upgrade or install some package
> I get output and error messages:
>
> Reading changelogs... Done
> dpkg: warning: 'ldconfig' not found in PATH or not executable.
> dpkg: warning: 'start-stop-daemon' not found in PATH or not
> executable. dpkg: error: 2 expected programs not found in PATH or not
> executable. Note: root's PATH should usually
> contain /usr/local/sbin, /usr/sbin and /sbin. E:
> Sub-process /usr/bin/dpkg returned an error code (2) Nem sikerült
> telepíteni egy csomagot. Helyreállítás megkisérlése: dpkg: warning:
> 'ldconfig' not found in PATH or not executable. dpkg: warning:
> 'start-stop-daemon' not found in PATH or not executable. dpkg: error:
> 2 expected programs not found in PATH or not executable. Note: root's
> PATH should usually contain /usr/local/sbin, /usr/sbin and /sbin.
>
> How can I solve this problem?
> Any advices will be appreciated!
>

Also, please provide a list of all steps you took when upgrading.
Regards,

Weaver.

--
"In a world without walls and fences,
what need have we for Windows or Gates?"
-Anon.


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20110926072130.28c12269.weaver@riseup.net">http://lists.debian.org/20110926072130.28c12269.weaver@riseup.net
 
Old 09-25-2011, 09:29 PM
Sven Joachim
 
Default Upgraded from Squeeze to unstable

On 2011-09-25 22:15 +0200, Csanyi Pal wrote:

> I have upgraded my Desktop system Debian Squeeze
> to Debian unstable.
>
> Now when I try to upgrade or install some package
> I get output and error messages:
>
> Reading changelogs... Done
> dpkg: warning: 'ldconfig' not found in PATH or not executable.
> dpkg: warning: 'start-stop-daemon' not found in PATH or not executable.
> dpkg: error: 2 expected programs not found in PATH or not executable.
> Note: root's PATH should usually contain /usr/local/sbin, /usr/sbin and /sbin.

You almost surely hit http://bugs.debian.org/639336. Run
"sudo /usr/sbin/visudo" to fix the sudoers file.

Sven


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 87fwjk1fbe.fsf@turtle.gmx.de">http://lists.debian.org/87fwjk1fbe.fsf@turtle.gmx.de
 
Old 09-26-2011, 04:40 AM
Csanyi Pal
 
Default Upgraded from Squeeze to unstable

Weaver <weaver@riseup.net> writes:

> On Sun, 25 Sep 2011 22:15:57 +0200
> Csanyi Pal <csanyipal@gmail.com> wrote:
>
>> I have upgraded my Desktop system Debian Squeeze
>> to Debian unstable.

I was followed these steps:
http://www.kdenlive.org/user-manual/downloading-and-installing-kdenlive/pre-compiled-packages/debian-packages

using commands:
apt-get update
apt-get dist-upgrade

>> Now when I try to upgrade or install some package
>> I get output and error messages:
>>
>> Reading changelogs... Done
>> dpkg: warning: 'ldconfig' not found in PATH or not executable.
>> dpkg: warning: 'start-stop-daemon' not found in PATH or not
>> executable. dpkg: error: 2 expected programs not found in PATH or not
>> executable. Note: root's PATH should usually
>> contain /usr/local/sbin, /usr/sbin and /sbin. E:
>> Sub-process /usr/bin/dpkg returned an error code (2) Nem sikerült
>> telepíteni egy csomagot. Helyreállítás megkisérlése: dpkg: warning:
>> 'ldconfig' not found in PATH or not executable. dpkg: warning:
>> 'start-stop-daemon' not found in PATH or not executable. dpkg: error:
>> 2 expected programs not found in PATH or not executable. Note: root's
>> PATH should usually contain /usr/local/sbin, /usr/sbin and /sbin.
>>
>> How can I solve this problem?

--
Regards, Pal
<http://cspl.me>


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 87d3ensyqk.fsf@debian-asztal.excito">http://lists.debian.org/87d3ensyqk.fsf@debian-asztal.excito
 
Old 09-26-2011, 04:52 AM
Csanyi Pal
 
Default Upgraded from Squeeze to unstable

Sven Joachim <svenjoac@gmx.de> writes:

> On 2011-09-25 22:15 +0200, Csanyi Pal wrote:
>
>> I have upgraded my Desktop system Debian Squeeze
>> to Debian unstable.
>>
>> Now when I try to upgrade or install some package
>> I get output and error messages:
>>
>> Reading changelogs... Done
>> dpkg: warning: 'ldconfig' not found in PATH or not executable.
>> dpkg: warning: 'start-stop-daemon' not found in PATH or not executable.
>> dpkg: error: 2 expected programs not found in PATH or not executable.
>> Note: root's PATH should usually contain /usr/local/sbin, /usr/sbin and /sbin.
>
> You almost surely hit http://bugs.debian.org/639336. Run
> "sudo /usr/sbin/visudo" to fix the sudoers file.

Yes, after I fix the sudoers file the abowe mentioned errors gone.

Thanks!

--
Regards, Pal
<http://cspl.me>


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 8762kfsy5p.fsf@debian-asztal.excito">http://lists.debian.org/8762kfsy5p.fsf@debian-asztal.excito
 
Old 09-26-2011, 05:34 AM
Bob Proulx
 
Default Upgraded from Squeeze to unstable

Csanyi Pal wrote:
> I have upgraded my Desktop system Debian Squeeze
> to Debian unstable.
>
> Now when I try to upgrade or install some package
> I get output and error messages:
>
> Reading changelogs... Done
> dpkg: warning: 'ldconfig' not found in PATH or not executable.

You have hit this bug:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=639841

Quick fix: Add this line to your /etc/sudoers file.

Defaults
secure_path="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"

Bob
 

Thread Tools




All times are GMT. The time now is 11:57 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org